Currencies
Cette page n'est pas disponible en français. La version anglaise est affichée.
Get Currencies
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Query Parameters
limit?integer
Default
20offset?integer
Default
0filter[aliases]?string
Partial, case-insensitive match on the alias.
filter[alphabetic]?string
Partial, case-insensitive match on the alphabetic code.
filter[name]?string
Partial, case-insensitive match on the name.
filter[class]?string
Exact match on the class. other returns currencies with the unspecified class.
Value in
- "fiat"
- "crypto"
- "other"
filter[numeric]?string
Exact match on the numeric code.
filter[precision]?integer
Exact match on the number of decimal digits.
filter[sign]?string
Exact match on the sign.
sort_by?string
Currencies with an empty alias are grouped together when sorting by aliases, last on asc and first on desc.
Value in
- "aliases"
- "alphabetic"
- "class"
- "createTime"
- "currencyId"
- "name"
- "numeric"
- "precision"
- "sign"
- "updateTime"
sort_order?string
Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/currencies"{ "total": 0, "currencies": [ { "currencyId": "string", "class": "fiat", "name": "string", "aliases": "string", "alphabetic": "string", "numeric": "string", "sign": "string", "precision": 0, "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}